会員自由項目ラベル登録
POST
/customers/custom_field_labels
const url = 'https://api.smaregi.dev/TARGET-CONTRACT-ID/pos/customers/custom_field_labels';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"label":"string"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.smaregi.dev/TARGET-CONTRACT-ID/pos/customers/custom_field_labels \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "label": "string" }'会員自由項目ラベル情報を登録します。
対象プラン
- プレミアムプラス
- フードビジネス
- リテールビジネス
Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
label
required
ラベル
会員自由項目名
string
Example
{ "label": "string"}Responses
Section titled “Responses”登録成功
Media typeapplication/json
object
no
会員自由項目番号:自動採番されます。
integer
label
会員自由項目名
string
Example
{ "no": 1, "label": "string"}- 入力チェックエラーの場合
- 会員自由項目ラベルの登録件数が99件を超える場合
Media typeapplication/json
object
type
required
string
title
required
string
detail
string
status
integer
Examples
{ "type": "about:blank", "title": "Bad Request", "detail": "request_json:[label]は[85]文字以下である必要があります", "status": 400}{ "type": "about:blank", "title": "Bad Request", "detail": "会員自由項目ラベルは99件を超えて登録できません。", "status": 400}